<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlAdvFrameDataCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlAdvFrameDataCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Advance Frame data config API parameters. This strcutre is only applicable when mmWaveLink instance is running on External Host and connected to AWR1243 device.  
 <a href="structrl_adv_frame_data_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a4feeab7fabff57c9ebcc71ff8c46babe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4feeab7fabff57c9ebcc71ff8c46babe"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adv_frame_data_cfg__t.html#a4feeab7fabff57c9ebcc71ff8c46babe">numSubFrames</a></td></tr>
<tr class="memdesc:a4feeab7fabff57c9ebcc71ff8c46babe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of Sub Frames, Valid Range (1 - 4) <br /></td></tr>
<tr class="separator:a4feeab7fabff57c9ebcc71ff8c46babe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7c30337f721813d6877d3cce085eebf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7c30337f721813d6877d3cce085eebf"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adv_frame_data_cfg__t.html#ad7c30337f721813d6877d3cce085eebf">reserved1</a></td></tr>
<tr class="memdesc:ad7c30337f721813d6877d3cce085eebf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ad7c30337f721813d6877d3cce085eebf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06e7d96bcb69324990df6571d5ad2d86"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06e7d96bcb69324990df6571d5ad2d86"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adv_frame_data_cfg__t.html#a06e7d96bcb69324990df6571d5ad2d86">reserved2</a></td></tr>
<tr class="memdesc:a06e7d96bcb69324990df6571d5ad2d86"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a06e7d96bcb69324990df6571d5ad2d86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa96eb2a160a18e96e2c8fa9df2066823"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa96eb2a160a18e96e2c8fa9df2066823"></a>
<a class="el" href="structrl_sub_frame_data_cfg__t.html">rlSubFrameDataCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adv_frame_data_cfg__t.html#aa96eb2a160a18e96e2c8fa9df2066823">subframeDataCfg</a> [RL_MAX_SUBFRAMES]</td></tr>
<tr class="memdesc:aa96eb2a160a18e96e2c8fa9df2066823"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sub Frame data configuration array. <br /></td></tr>
<tr class="separator:aa96eb2a160a18e96e2c8fa9df2066823"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Advance Frame data config API parameters. This strcutre is only applicable when mmWaveLink instance is running on External Host and connected to AWR1243 device. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
